import React from 'react';
import Plotly from 'plotly.js';


export default class PlotlyChart extends React.Component {

    componentDidMount(){
        var theme = this.props.theme[this.props.data.length];
        var layout = {
            colorway: '#000000#ff7f0e#2ca02c#d62728#9467bd#8c564b#e377c2#7f7f7f#bcbd22#17becf',
            colorway: theme,
            font: {
                family: 'Roboto'
            },
            showlegend: true,
            legend: {
                orientation: 'h'
            },
            ...this.props.layout
        };
        var config = {
            displayModeBar: false,
            showLink:       true,
            linkText:       'View on Plotly',
            ...this.props.config
        };
        this.plotly = Plotly.newPlot(this.node, this.props.data, layout, config);
    }

    render(){
        return <div class="plotly" ref={(node) => {this.node = node}}></div>;
    }

}

PlotlyChart.defaultProps = {
    data: [],
    layout: {
        title: 'Title'
    },
    config: {},
    theme: {
        1:  ['#5ebcd2'],
        2:  ['#85cbcf', '#3984b6'],
        3:  ['#85cbcf', '#3984b6', '#1d2e81'],
        4:  ['#9ed5cd', '#44a7cb', '#2e62a1', '#192574'],
        5:  ['#b7dfcb', '#5abad1', '#3984b6', '#264992', '#161f63'],
        6:  ['#bee0cc', '#70c3d0', '#419dc5', '#316ba7', '#223b89', '#151e5e'],
        7:  ['#c6e3cb', '#83cacf', '#47aed0', '#3984b6', '#2c5a9c', '#1e3082', '#141c59'],
        8:  ['#cee6ca', '#91d0ce', '#56b9d2', '#3f97c2', '#3371aa', '#1e3082', '#1b277c', '#131a55'],
        9:  ['#d5e9ca', '#9ed5cd', '#69c0d1', '#44a7cb', '#3984b6', '#2e62a1', '#233f8c', '#192473', '#121850'],
        10: ['#dcecc9', '#aadacc', '#78c6d0', '#48b3d3', '#3e94c0', '#3474ac', '#2a5599', '#203686', '#18216b', '#11174b'],
        11: ['#dcecc9', '#afdccc', '#83cacf', '#56b9d2', '#43a1c7', '#3984b6', '#3067a5', '#274b93', '#1e3082', '#172068', '#11174b'],
        12: ['#dcecc9', '#b3ddcc', '#8acdce', '#62bed2', '#46aace', '#3d91be', '#3577ae', '#2d5e9e', '#24448e', '#1c2b7f', '#162065', '#11174b']
    }
};